| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
support_functions_LTC2986.cpp File Reference
Temperature Monitors » LTC2986: Multi-Sensor High Accuracy Digital Temperature Measurement System

Library for LTC2986: Multi-Sensor High Accuracy Digital Temperature Measurement System. More...

## Detailed Description

Library for LTC2986: Multi-Sensor High Accuracy Digital Temperature Measurement System.

Definition in file support_functions_LTC2986.cpp.

Go to the source code of this file.

## Functions
void | print_title ()
| Prints the title block when program first starts. More...
void | assign_channel (uint8_t chip_select, uint8_t channel_number, uint32_t channel_assignment_data)
void | write_custom_table (uint8_t chip_select, struct table_coeffs coefficients[64], uint16_t start_address, uint8_t table_length)
void | write_custom_steinhart_hart (uint8_t chip_select, uint32_t steinhart_hart_coeffs[6], uint16_t start_address)
void | measure_channel (uint8_t chip_select, uint8_t channel_number, uint8_t channel_output)
void | convert_channel (uint8_t chip_select, uint8_t channel_number)
void | wait_for_process_to_finish (uint8_t chip_select)
void | get_result (uint8_t chip_select, uint8_t channel_number, uint8_t channel_output)
void | print_conversion_result (uint32_t raw_conversion_result, uint8_t channel_output)
void | read_voltage_or_resistance_results (uint8_t chip_select, uint8_t channel_number)
void | print_fault_data (uint8_t fault_byte)
uint32_t | transfer_four_bytes (uint8_t chip_select, uint8_t ram_read_or_write, uint16_t start_address, uint32_t input_data)
uint8_t | transfer_byte (uint8_t chip_select, uint8_t ram_read_or_write, uint16_t start_address, uint8_t input_data)
uint16_t | get_start_address (uint16_t base_address, uint8_t channel_number)
bool | is_number_in_array (uint8_t number, uint8_t *array, uint8_t array_length)

## Macros
#define | CODE (uint8_t) 0x03

## Function Documentation

## ◆ assign_channel()

void assign_channel | ( | uint8_t | chip_select,
|  | uint8_t | channel_number,
|  | uint32_t | channel_assignment_data
| ) |  |

Definition at line 89 of file support_functions_LTC2986.cpp.

## ◆ convert_channel()

void convert_channel | ( | uint8_t | chip_select,
|  | uint8_t | channel_number
| ) |  |

Definition at line 158 of file support_functions_LTC2986.cpp.

## ◆ get_result()

void get_result | ( | uint8_t | chip_select,
|  | uint8_t | channel_number,
|  | uint8_t | channel_output
| ) |  |

Definition at line 182 of file support_functions_LTC2986.cpp.

## ◆ get_start_address()

uint16_t get_start_address | ( | uint16_t | base_address,
|  | uint8_t | channel_number
| ) |  |

Definition at line 327 of file support_functions_LTC2986.cpp.

## ◆ is_number_in_array()

bool is_number_in_array | ( | uint8_t | number,
|  | uint8_t * | array,
|  | uint8_t | array_length
| ) |  |

Definition at line 333 of file support_functions_LTC2986.cpp.

## ◆ measure_channel()

void measure_channel | ( | uint8_t | chip_select,
|  | uint8_t | channel_number,
|  | uint8_t | channel_output
| ) |  |

Definition at line 151 of file support_functions_LTC2986.cpp.

## ◆ print_conversion_result()

void print_conversion_result | ( | uint32_t | raw_conversion_result,
|  | uint8_t | channel_output
| ) |  |

Definition at line 210 of file support_functions_LTC2986.cpp.

## ◆ print_fault_data()

void print_fault_data | ( | uint8_t | fault_byte | ) |

Definition at line 254 of file support_functions_LTC2986.cpp.

## ◆ print_title()

void print_title | ( | void |  | ) |

Prints the title block when program first starts.

Print the title block.

Prints the title block.

Prints the title block when the program first starts.

Returns
  void

Definition at line 74 of file support_functions_LTC2986.cpp.

## ◆ read_voltage_or_resistance_results()

void read_voltage_or_resistance_results | ( | uint8_t | chip_select,
|  | uint8_t | channel_number
| ) |  |

Definition at line 240 of file support_functions_LTC2986.cpp.

## ◆ transfer_byte()

uint8_t transfer_byte | ( | uint8_t | chip_select,
|  | uint8_t | ram_read_or_write,
|  | uint16_t | start_address,
|  | uint8_t | input_data
| ) |  |

Definition at line 311 of file support_functions_LTC2986.cpp.

## ◆ transfer_four_bytes()

uint32_t transfer_four_bytes | ( | uint8_t | chip_select,
|  | uint8_t | ram_read_or_write,
|  | uint16_t | start_address,
|  | uint32_t | input_data
| ) |  |

Definition at line 287 of file support_functions_LTC2986.cpp.

## ◆ wait_for_process_to_finish()

void wait_for_process_to_finish | ( | uint8_t | chip_select | ) |

Definition at line 167 of file support_functions_LTC2986.cpp.

## ◆ write_custom_steinhart_hart()

void write_custom_steinhart_hart | ( | uint8_t | chip_select,
|  | uint32_t | steinhart_hart_coeffs[6],
|  | uint16_t | start_address
| ) |  |

Definition at line 123 of file support_functions_LTC2986.cpp.

## ◆ write_custom_table()

void write_custom_table | ( | uint8_t | chip_select,
|  | struct table_coeffs | coefficients[64],
|  | uint16_t | start_address,
|  | uint8_t | table_length
| ) |  |

Definition at line 96 of file support_functions_LTC2986.cpp.

## Macro Definition Documentation

## ◆ CODE

#define CODE (uint8_t) 0x03

Definition at line 332 of file configuration_constants_LTC2986.h.